import axios from 'axios';
import Vue from 'vue';
import context from '../main';
// let loading;

// axios.defaults.timeout = 3000000;
// let loadinginstace;
// axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded';

axios.interceptors.request.use(
    config => {
        config.headers = {
            // "Content-Type": "application/json"
            // "Content-Type": "text/html"
            // "Content-Type":"multipart/form-data"
        }
        return config;
    }, error => {
        console.log('error', error);
        // loading.close();
        if (error) {
            context.$alert('网络错误,请稍后再试！','提示',{
                confirmButtonText: '确定'
            });
            return Promise.reject(error);
        }
    }
);

axios.interceptors.response.use(
    res => {
        // console.log('响应res', res);
        // loading.close();
        if (res && res.data.code == 200) {
            return res.data;
        }
        else {
            context.$message({
                message: res.data.message,
                type: 'warning'
            });
            if (res && res.data.code == 10014) {
                setTimeout(() => {
                    context.$router.replace('/login')
                }, 2000)
            }
        }
    },
    err => {
        console.log('err', err);
        // loading.close();
        // if (err.message.includes('timeout')) {
        //     err.message = '请求超时';
        //     context.$router.replace({path:'/login'});
        // }
        // else 
		// {
        //     if (err && err.response) {
        //         switch (err.response.status) {
        //             case 400: err.message = '请求错误(400)'; break;
        //             case 401: err.message = '未授权，请重新登录(401)'; break;
        //             case 403: err.message = '拒绝访问(403)'; break;
        //             case 404: err.message = '请求出错(404)'; break;
        //             case 408: err.message = '请求超时(408)'; break;
        //             case 500: err.message = '服务器错误(500)'; break;
        //             case 501: err.message = '服务未实现(501)'; break;
        //             case 502: err.message = '网络错误(502)'; break;
        //             case 503: err.message = '服务不可用(503)'; break;
        //             case 504: err.message = '网络超时(504)'; break;
        //             case 505: err.message = 'HTTP版本不受支持(505)'; break;
        //             default: err.message = `连接出错(${err.response.status})!`;
        //         }
        //         context.$router.replace({path:'/login'});
        //     } else {
        //         err.message = '连接服务器失败!'
        //         context.$router.replace({path:'/login'});
        //     }
        // }
        // context.$alert(err.message,'提示',{
        //     confirmButtonText: '确定'
        // });
        return Promise.reject(err);
    });

Vue.prototype.$axios = axios;

axios.defaults.headers.get['Pragma'] = 'no-cache';
axios.defaults.headers.get['Cache-Control'] = 'no-cache, no-store'; 
	
let requestLoading = (url, method, params) => {
    return axios({
        method: method,
        url: url,
        params,
        withCredentials: true,
        data: params,
        timeout: 120000,
    })
};


// const TestSrv = process.env.NODE_ENV == 'production' ? 'http://39.97.239.116:8080' : '/api';
// const StanleyLocal = process.env.NODE_ENV == 'production' ? 'http://zngapi.hemadj.com:8080' : '/api';
//const StanleyLocal = process.env.NODE_ENV == 'production' ? 'http://192.168.1.200:8080' : '/api';
// const StanleyLocal = process.env.NODE_ENV == 'production' ? 'https://apizng.eavic.com' : '/api';
// const StanleyLocal = process.env.NODE_ENV == 'production' ? 'http://39.97.239.116:8080' : '/api';

// const Prefix = StanleyLocal;
// const Prefix = 'http://192.168.1.195:8080/';

const Prefix = 'http://192.168.1.195/mobile/index.php?';
// const Prefix = 'https://www.xyzshops.cn/mobile/index.php?';


//测试请求
export const testRequest = () => {
    // return requestLoading(`${Prefix}/index.php?index/index/index`, 'get', {})
}

//登录
export const login = (params) => {
    console.log(`${Prefix}act=merchant_login&op=login`)
    // return requestLoading(`${Prefix}act=merchant_login&op=login&client_type=ajax`, 'post', params)
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_login&op=login&client_type=ajax`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}

//登出
export const loginOut = () => {
    return requestLoading(`${Prefix}act=merchant_login&op=logout&client_type=ajax`, 'post')
}

// 获取ip列表
export const getIpList = () => {
    return requestLoading(`${Prefix}act=merchant_info&op=ipwhitelist&client_type=ajax`, 'post')
}

// 删除ip列表
export const delIpList = (params) => {
    // return requestLoading(`${Prefix}act=merchant_info&op=ipdel&client_type=ajax`, 'post', params)
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_info&op=ipdel&client_type=ajax`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}

// 添加ip
export const addIp = (params) => {
    // return requestLoading(`${Prefix}act=merchant_info&op=addip&client_type=ajax&ip=${ip}`, 'post')
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_info&op=addip&client_type=ajax`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}

// 获取订单统计列表
export const getOrderList = (params) => {
    // return requestLoading(`${Prefix}act=merchant_order&op=list&client_type=ajax&curpage=${page}`, 'post')
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_order&op=list&client_type=ajax`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
        },
        data: params,
        timeout: 120000,
    })
}

/**
 * 查询订单统计列表
 * @param {*} page 页码
 * @param {*} start_time 开始时间
 * @param {*} end_time 结束时间
 * @param {*} card_type 充值类型
 */
// export const queryList = (page, start_time, end_time, card_type) => {
export const queryList = (params) => {
    // return requestLoading(`${Prefix}act=merchant_order&op=list&client_type=ajax&curpage=${page}&start_time=${start_time}&end_time=${end_time}&card_type=${card_type}`, 'post')
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_order&op=list&client_type=ajax&page=50`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}

// 修改管理员密码
export const editPwd = (params) => {
    // return requestLoading(`${Prefix}act=merchant_info&op=modifypw&client_type=ajax`, 'post', params)
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_info&op=modifypw&client_type=ajax`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}

// 个人中心
export const getUserInfo = () => {
    return requestLoading(`${Prefix}act=merchant_info&op=index&client_type=ajax`, 'post')
}

// 实时动账
export const getMovingAccount = (page) => {
    return requestLoading(`${Prefix}act=merchant_info&op=pdlog&client_type=ajax&page=50&curpage=${page}`, 'post')
}

/**
 * 查询实时动账
 * @param {*} start_time 开始时间
 * @param {*} end_time 结束时间
 * @param {*} lg_type 变更类型
 * @param {*} lg_order_sn 业务单号
 */
// export const queryMovingAccount = (page, start_time, end_time, lg_type) => {
export const queryMovingAccount = (params) => {
    // return requestLoading(`${Prefix}act=merchant_info&op=pdlog&client_type=ajax&curpage=${page}&start_time=${start_time}&end_time=${end_time}&lg_type=${lg_type}`, 'post')
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_info&op=pdlog&client_type=ajax&page=50`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}

// 设置密钥
// export const updateKey = (secure_key) => {
export const updateKey = (params) => {
    // return requestLoading(`${Prefix}act=merchant_info&op=setkey&client_type=ajax&secure_key=${secure_key}`, 'post')
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_info&op=setkey&client_type=ajax`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}
// 上传文件
export const updateVoucher = (name) => {
    // return requestLoading(`${Prefix}act=merchant_recharge&op=voucherupload&client_type=ajax`, 'post', {voucher})
    return axios({
        method: "post",
        // url: `http://192.168.1.195/upfile.php`,
        url: `https://www.xyzshops.cn/upfile.php`,
        // withCredentials: true,
        data: name,
        timeout: 120000,
    })
}

// 上传凭证
export const updateVoucherList = (params) => {
    // return requestLoading(`${Prefix}act=refill_evidence&op=add&client_type=ajax`, 'post', params)
    return axios({
        method: 'post',
        url: `${Prefix}act=refill_evidence&op=add&client_type=ajax`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}

// 获取充值列表
export const getVoucherList = () => {
    return requestLoading(`${Prefix}act=refill_evidence&op=index&client_type=ajax&page=50`, 'post')
}
// 查询充值列表
// export const queryVoucherList = (page, start_time, end_time) => {
export const queryVoucherList = (params) => {
    // return requestLoading(`${Prefix}act=refill_evidence&op=index&client_type=ajax&curpage=${page}&start_time=${start_time}&end_time=${end_time}`, 'get')
    return axios({
        method: 'post',
        url: `${Prefix}act=refill_evidence&op=index&client_type=ajax&page=50`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}

// 获取充值金额
export const getRechargeAmount = () => {
    return requestLoading(`${Prefix}act=merchant_refill&op=goods&client_type=ajax`, 'post')
}
// 油卡充值 cardno-卡号 amount-充值金额
export const OilCardRecharge = (params) => {
    // return requestLoading(`${Prefix}act=merchant_refill&op=add&client_type=ajax`, 'post', params)
    return axios({
        method: 'post',
        url: `${Prefix}act=merchant_refill&op=add&client_type=ajax`,
        withCredentials: true,
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
          },
        data: params,
        timeout: 120000,
    })
}
// 首页
export const getHomeData = () => {
    return requestLoading(`${Prefix}act=merchant_info&op=home&client_type=ajax`, 'post')
}
// 余额列表
// export const balanceList = (params) => {
//     return requestLoading(`${Prefix}/balanceList`, 'get', params)
// }

// //箱子操作记录列表
// export const boxActionList = (params) => {
//     return requestLoading(`${Prefix}/BoxActionList`, 'get', params)
// }

// //柜子列表
// export const cabinetList = (params) => {
//     return requestLoading(`${Prefix}/CabinetList`, 'get', params)
// }

// //箱子列表
// export const boxList = (params) => {
//     return requestLoading(`${Prefix}/BoxList`, 'post', params)
// }

// //新增柜子
// export const addCabinet = (params) => {
// 	console.log('call:',addCabinet);
//     return requestLoading(`${Prefix}/AddCabinet`, 'post', params)
// }

// //日志记录
// export const actionLogList = (params) => {
//     return requestLoading(`${Prefix}/ActionLogList`, 'post', params)
// }

// //消息记录
// export const msgList = (params) => {
//     return requestLoading(`${Prefix}/MsgList`, 'post', params)
// }

// //开箱
// export const openBox = (params) => {
//     return requestLoading(`${Prefix}/OpenBox`, 'post', params)
// }

// //通知
// export const sendMsg = (params) => {
//     return requestLoading(`${Prefix}/SendMsg`, 'post', params)
// }

// //锁柜
// export const lockCabinet = (params) => {
//     return requestLoading(`${Prefix}/LockCabinet`, 'post', params)
// }

// //解除锁柜
// export const unLockCabinet = (params) => {
//     return requestLoading(`${Prefix}/UnLockCabinet`, 'post', params)
// }

// //解除报警
// export const releaseAlarm = (params) => {
//     return requestLoading(`${Prefix}/ReleaseAlarm`, 'post', params)
// }

// //解除报警
// export const reboot = (params) => {
//     return requestLoading(`${Prefix}/Reboot`, 'post', params)
// }

// //新增箱子
// export const addBox = (params) => {
//     return requestLoading(`${Prefix}/AddBox`, 'post', params)
// }

//管理员列表
// export const userList = (params) => {
//     return requestLoading(`${Prefix}/UserList`, 'post', params)
// }

// //新增管理员
// export const userAdd = (params) => {
//     return requestLoading(`${Prefix}/UserAdd`, 'post', params)
// }

// //删除管理员
// export const userDel = (params) => {
//     return requestLoading(`${Prefix}/UserDel`, 'post', params)
// }

// //修改管理员密码
// export const editPwd = (params) => {
//     return requestLoading(`${Prefix}/EditPwd`, 'post', params)
// }

// //手动取出上报
// export const manualSave = (params) => {
//     return requestLoading(`${Prefix}/ManualSave`, 'post', params)
// }
