import Vue from 'vue'
import VueRouter from 'vue-router'
import { getUser } from '@/utils/auth'

const Index = () => import('@/pages/index');
const Login = () => import('@/pages/login');
// 首页
const Home = () => import('@/pages/subPages/home');
const order = () => import('@/pages/subPages/order');
// 柜体控制
// const Express = () => import('@/pages/subPages/express');
const balance = () => import('@/pages/subPages/balance');
const Message = () => import('@/pages/subPages/message');
// const Status = () => import('@/pages/subPages/status');
const View = () => import('@/pages/subPages/view');
// 油卡充值
const OilCard = () => import('@/pages/subPages/oilCard');
// 手机卡充值
const MobileCard = () => import('@/pages/subPages/mobileCard');
// 接口文档
const InterfaceDoc = () => import('@/pages/subPages/interfaceDoc');

Vue.use(VueRouter)

  const routes = [
  {
    path: '/',
    name: 'Index',
    component: Index,
    // redirect:'/login',
    // redirect:'/order',
    children:[
      // 主页
      {
        path: '',
        name: 'home',
        component: Home
      },
      // 订单统计
      {
        path:'/order',
        name:'order',
        component:order
      },
      // 余额充值
      {
        path:'/balance',
        name:'balance',
        component:balance
      },
      // 实时动账
      {
        path:'/message',
        name:'message',
        component:Message
      },
      // {
      //   path:'/status',
      //   name:'status',
      //   component:Status
      // },
      // 开发者设置
      {
        path:'/view',
        name:'view',
        component:View
      },
      // 油卡充值
      {
        path:'/oilCard',
        name:'oilCard',
        component:OilCard
      },
      // 话费充值
      {
        path:'/mobileCard',
        name:'mobileCard',
        component:MobileCard
      },
      // 接口文档
      {
        path:'/interfaceDoc',
        name:'interfaceDoc',
        component:InterfaceDoc
      }
    ]
  },
  {
    path: '/login',
    name: 'Login',
    component: Login
  }
]

const router = new VueRouter({
  routes,
  mode: 'hash',
  base: '/merchant'
})

router.beforeEach((to,from,next)=>{
  if (to.path !== '/login' && !getUser('name')) {
    next('/login')
  }
  next();
});

export default router
